Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class UnsignedUpdateHandler

    java.lang.Object
      net.i2p.router.web.UpdateHandler
          net.i2p.router.web.UnsignedUpdateHandler

    public class UnsignedUpdateHandler

extends UpdateHandler

Handles the request to update the router by firing off an `EepGet` call to download the latest unsigned zip file and displaying the status to anyone who asks.

After the download completes the signed update file is copied to the router directory, and if configured the router is restarted to complete the update process.

Nested Class Summary
`class` | `UnsignedUpdateHandler.UnsignedUpdateRunner` Eepget the .zip file to the temp dir, then copy it over

Nested classes/interfaces inherited from class net.i2p.router.web.UpdateHandler
`UpdateHandler.UpdateRunner`

Field Summary

Fields inherited from class net.i2p.router.web.UpdateHandler
`_context, _log, _updateFile, _updateRunner, PROP_LAST_UPDATE_TIME, PROP_UPDATE_IN_PROGRESS, SIGNED_UPDATE_FILE`

Constructor Summary
`UnsignedUpdateHandler(RouterContext ctx, String zipURL, String version)`

Method Summary
`void` | `update()`

Methods inherited from class net.i2p.router.web.UpdateHandler
`_, _, getStatus, isDone, linkify, restart, setContextId, setUpdateAction, setUpdateNonce, updateStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnsignedUpdateHandler

    public UnsignedUpdateHandler(RouterContext ctx,
                                 String zipURL,
                                 String version)

Method Detail

### update

    public void update()

  Overrides:
    `update` in class `UpdateHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD